Subject: bug#55645: src/print.c; print_object changes make it impossible to compare elisp code across versions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Jun 2022 15:35:53 +0200

Po Lu <[email-masked]> writes:

> I find it hard to believe: why would changing the print syntax of
> symbols with dots make it more likely for people to use data types that
> have type names with those characters?

I've certainly been puzzled over the printed representation of these
symbols, and I've wondered whether I should use a transliteration scheme
(which isn't necessary), so I think it's likely that others have been,
too.

> Most of those are interned from strings (see fc_charset_table in
> ftfont.c), and not likely to either be printed or to be written by
> users.

Users will inevitably see symbols like this at some point or another.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no